Bug 1029851 - management console - even after cancel the process to upload a deployment file, the content is added to data directory
management console - even after cancel the process to upload a deployment fil...
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.1.1
Unspecified Unspecified
low Severity low
: DR0
: EAP 6.4.0
Assigned To: Harald Pehl
Pavel Jelinek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 06:13 EST by Leticia Konno
Modified: 2015-03-01 20:29 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An issue present in previous releases of JBoss EAP 6 that caused the upload of files through the Manage Deployments screen to complete, even if the upload was canceled by the user, has been corrected in this release. The issue presented because older versions of the product allowed users to cancel a file upload operation after the file copy had occurred but before the deployment entry had been added to *domain.xml*. In this release of the product, the console workflow has been redesigned to remove the cancel option during the operation, preventing incomplete operations and inconsistent states between saved files and <deployment> entries in *domain.xml*.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-342 Critical Resolved After cancel the process to upload a deployment file, the content is added to data directory 2017-05-25 03:05 EDT

  None (edit)
Description Leticia Konno 2013-11-13 06:13:58 EST
Description of problem:

In the Manage Deployments screen, after to cancel the step 2 to add a deployment file, the file is uploaded and added to data dir, but the deployment is not added to the domain.xml file (in the <deployments> tag)

Version-Release number of selected component (if applicable):
JBoss EAP 6.1.1

How reproducible:

Steps to Reproduce:
1. Go to management console
2. Runtime > Manage Deployments > Add
3. Browse > select a deployment file > Next > Cancel.

The content is added to data:

INFO  [org.jboss.as.repository] (HttpManagementService-threads - 9) JBAS014900: Content added at location /opt/JBoss/domain/data/content/xx/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx/content

But there is not a reference to this deployment file in the domain.xml. 
Therefore, it is not possible to remove this deployment file using the management console or CLI.

Expected results:
If the upload is canceled, the deployment file does not have to be added to the data directory.
Comment 1 Scott Mumford 2013-12-01 21:21:05 EST
Modified Doc Text content and marked for inclusion in the 6.2 Release Notes document.
Comment 2 Harald Pehl 2014-01-24 08:23:18 EST
Currently there's no way to remove canceled deployments using a management operation (please comment if I'm wrong). Lower the priority as this does not affect the deployment feature as such.
Comment 6 Harald Pehl 2014-07-03 09:21:29 EDT
As part of an overall bugzilla cleanup, I'm going to reassign this to 'Domain Management'. In order to fix this as part of the console, we need a related management operation to get rid of canceled deployments. However IMO this has low priority, so we might as well close this.
Comment 8 JBoss JIRA Server 2014-07-03 10:29:40 EDT
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-342 to Closed
Comment 14 Harald Pehl 2014-07-16 05:14:12 EDT
I agree with Brian that the workflow can be optimized. And yes this is something we can do for EAP 6.4. 

By changing the wizard to a "one-step" dialog, we can defer the upload. For the user both the upload and actual deployment would happen as one atomic operation. Thus the particular issue with left-over deployment artifacts on the server should be fixed. 

I'm reassigning this to "Web Console" and set the target to EAP 6.4
Comment 15 JBoss JIRA Server 2014-07-16 05:16:44 EDT
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-342 to Reopened
Comment 16 JBoss JIRA Server 2014-09-11 05:07:33 EDT
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-342 to Coding In Progress
Comment 17 JBoss JIRA Server 2014-09-12 07:09:38 EDT
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-342 to Open
Comment 18 JBoss JIRA Server 2014-09-12 07:54:05 EDT
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-342 to Coding In Progress
Comment 19 JBoss JIRA Server 2014-09-15 09:27:20 EDT
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-342 to Resolved
Comment 20 Pavel Jelinek 2014-11-26 04:30:50 EST
Should this still remain in POST state?
Comment 21 Jakub Cechacek 2014-12-08 07:21:23 EST
Verified 6.4.0.DR12

Note You need to log in before you can comment on or make changes to this bug.